VM_PAGE_SLEEP_IF_BUSY(9)

NAME
vm_page_sleep_if_busy - wait for a busy page to become unbusy

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
int
vm_page_sleep_if_busy(vm_page_t m, int also_m_busy, const char *wmesg);

DESCRIPTION
The vm_page_sleep_if_busy() function waits until the VPO_BUSY flag is cleared. If also_m_busy is non-zero, it also waits for m->busy to become zero.

RETURN VALUES
If vm_page_sleep_if_busy() finds the page busy it returns TRUE. If not, it returns FALSE. Returning TRUE does not necessary mean that vm_page_sleep_if_busy() slept, but only that splvm() was called.

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.